﻿html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 12px;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    text-align: right;
    margin: 0;
}

input[type="number"] {
    text-align: right;
    -moz-appearance: textfield;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

td {
    border-style: solid;
    border: thin;
    width: 100px;
    color: black;
    white-space: nowrap;
}

th {
    border-style: solid;
    border: thin;
    color: black;
    white-space: nowrap;
}

.required::after {
    content: " *";
    color: red;
    vertical-align: middle;
}

.input-border-none {
    outline: none;
    border: none;
    background-color: rgba(255, 255, 255, 0 );
}
/**********************************/
/*ベース*/
.toggle {
    display: none;
}

.acd-Label { /*タイトル*/
    padding: 10px;
    display: block;
    color: white;
    background-color: yellowgreen;
}

    .acd-Label::before { /*タイトル横の矢印*/
        content: "";
        width: 6px;
        height: 6px;
        border-top: 2px solid #fff;
        border-right: 2px solid #fff;
        -webkit-transform: rotate(45deg);
        position: absolute;
        top: calc( 50% - 3px );
        right: 20px;
        transform: rotate(135deg);
    }

.acd-Label,
.acd-content {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transform: translateZ(0);
    transition: all 0.3s;
}

.acd-content { /*本文*/
    height: 0;
    margin-bottom: 10px;
    padding: 0 10px;
    overflow: hidden;
}

.toggle:checked + .acd-Label + .acd-content { /*開閉時*/
    height: auto;
    padding: 10px;
    transition: all .3s;
}

.toggle:checked + .acd-Label::before {
    transform: rotate(-45deg) !important;
}

input {
    border-width: 1px;
    border-color: black;
}

select {
    border-width: 1px;
    border-color: black;
}

a {
    color: #8ABE10;
}

.text-alight-right {
    text-align: right;
}

.text-alight-center {
    text-align: center;
}
/******************************************
 Button
******************************************/
button {
    width: 70px;
    font-family: inherit;
    appearance: none;
    border: 0;
    border-radius: 5px;
    background: #e6e6e6;
    color: black;
    padding: 4px 8px;
    font-size: 1rem;
    cursor: pointer;
}

button:hover {
    background: #1d49aa;
}

button:focus {
    outline: none;
    box-shadow: 0 0 0 4px #cbd6ee;
}
/*
詳細ボタン
*/
.button-detail{
    width:50px
}
/*
選択
*/
.button-select {
    width: 50px
}
/******************************************
 Table
******************************************/
.table_list {
    border-spacing:0;
}
    .table_list td {
        border: 1px solid;
        /*border-color: lightgray;*/
        border-color: black;
        padding: 0px;
        font-weight: 400;
        font-size: small;
    }
    .table_list th {
        border: 1px solid;
        border-color: black;
        color: ghostwhite;
        background-color: #00A041 !important;
        font-weight: normal;
        padding: 0px;
        border-spacing: 0px;
        margin: 0px;
        font-size: small;
        span
        {
            color: white;
            font-weight: 400;
            font-size: small;
        }
    }
/*検索条件テーブルクラス*/
.table_search_condition {
}
    .table_search_condition td {
        padding-left: 5px;
        padding-right: 5px;
        margin-top: 5px;
    }

    .table_search_condition th {
        border-style: solid;
        text-align: left;
        color: black;
        width: 120px;
        font-size: 14px;
        background-color: #e6e6e6;
        font-weight: normal;
        padding-left: 5px;
        padding-right: 5px;
        padding-right: 5px;
        margin-top: 5px;
    }
    .text-name-search-condition {
        width: 400px;
    }
    .dropdown-search-condition {
        width: 400px;
    }
.button-search-condition {
    width: 30px;
    text-align: center;
    border: thin;
    margin-left: 5px;
    margin-right: 5px;
}
.wrap-text {
    white-space: normal;
    word-wrap: break-word;
}

.number-label {
    text-align: right;
}

.confirm-label {
    min-width: 70px;
    font-family: inherit;
    appearance: none;
    border: 0;
    border-radius: 5px;
    background: #52d746;
    color: #fff;
    padding: 4px 8px;
    font-size: 1rem;
    cursor: pointer;
}

.delete-label {
    min-width: 70px;
    font-family: inherit;
    appearance: none;
    border: 0;
    border-radius: 5px;
    background: #e41313;
    color: #fff;
    padding: 4px 8px;
    font-size: 1rem;
    cursor: pointer;
}

input:read-only {
    background-color: white;
    border: none;
}

nav {
    width: 100%;
    height: 30px;
    background-color: dimgray;
    padding-top: 5px;
    box-sizing: border-box;
}

ul {
    display: flex;
}

li {
    font-size: 15px;
    list-style: none;
}

a {
    display: block;
    text-decoration: none;
    color: white;
    margin-right: 35px;
}

    a:hover {
        color: rgb(214, 237, 248);
    }
/**************************************/
/*スクロール*/
/**************************************/
.sticky_table thead th {
    /* 縦スクロール時に固定する */
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    /* tbody内のセルより手前に表示する */
    z-index: 1;
}

.sticky_table th:first-child {
    /* 横スクロール時に固定する */
    position: -webkit-sticky;
    position: sticky;
    left: 0;
}

.sticky_table thead th:first-child {
    /* ヘッダー行内の他のセルより手前に表示する */
    z-index: 2;
}

.sticky_table_wrapper {
    overflow: auto;
    width: calc(98vw - 1rem);
    height: 50vh;
}
/**************************************/
/*スクロール*/
/**************************************/
.sticky_table_ex thead th {
    /* 縦スクロール時に固定する */
    position: -webkit-sticky;
    position: sticky;
    /* tbody内のセルより手前に表示する */
    z-index: 1;
}
thead tr:nth-child(1) th {
    top: 0;
}

thead tr:nth-child(2) th {
    top: 20.58px; /* １行目の高さ */
}
.sticky_table_ex th:first-child {
    /* 横スクロール時に固定する */
    /*
    position: -webkit-sticky;
    position: sticky;
    left: 0;
    */
}
.sticky_table_ex thead th:first-child {
    /* ヘッダー行内の他のセルより手前に表示する */
    z-index: 2;
}

.sticky_table_wrapper {
    overflow: auto;
    width: calc(98vw - 1rem);
    height: 50vh;
}
/*********************************/
/*アコーディオン*/
/*ベース*/
.toggle {
    display: none;
}

.acd-Label { /*タイトル*/
    padding: 10px;
    display: block;
    color: white;
    background-color: yellowgreen;
}

    .acd-Label::before { /*タイトル横の矢印*/
        content: "";
        width: 6px;
        height: 6px;
        border-top: 2px solid #fff;
        border-right: 2px solid #fff;
        -webkit-transform: rotate(45deg);
        position: absolute;
        top: calc( 50% - 3px );
        right: 20px;
        transform: rotate(135deg);
    }

.acd-Label,
.acd-content {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transform: translateZ(0);
    transition: all 0.3s;
}

.acd-content { /*本文*/
    height: 0;
    margin-bottom: 10px;
    padding: 0 10px;
    overflow: hidden;
}

.toggle:checked + .acd-Label + .acd-content { /*開閉時*/
    height: auto;
    padding: 10px;
    transition: all .3s;
}

.toggle:checked + .acd-Label::before {
    transform: rotate(-45deg) !important;
}
/**/
footer {
    z-index: 10;
    width: 100%;
    background-color: #ffffff;
    //text-align: right;
    padding-left: 10px;
    padding-bottom: 10px;
    position: fixed; /*常に画面下表示*/
    bottom: 0; /*下に固定*/
}

header {
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    width: 100%;
    background: #ffffff;
}

.fixed_head {
    position: sticky;
    top: 105px;
    height: 210px;
    background-color: white;
    z-index: 10;
}

.fixed_head_open {
    position: sticky;
    top: 105px;
    height: 460px;
    background-color: white;
    z-index: 10;
}
/***************************/
/*goodsMAsterEntry画面 罫線*/
.goodsMasterEntry-state-table td {
    border: solid 1px
}
.rz-navigation-menu{
    display:block;
}

.td_word_wrap {
    overflow-wrap: break-word;
    word-wrap: break-word;
    white-space: normal;
}

.table_list_ex {
    border-spacing: 0;
}

    .table_list_ex td {
        border: 1px solid;
        border-color: black;
        padding: 0px;
        font-weight: 400;
        font-size: small;
    }

    .table_list_ex th {
        border: 1px solid;
        border-color: black;
        color: black;
        background-color: #e6e6e6;
        font-weight: normal;
        padding: 0px;
        border-spacing: 0px;
        margin: 0px;
        font-size: small;
    }

.disabled {
    background-color: gainsboro !important;
    border-width: 1px !important;
    border-color: black!important;
}
.required_span{
    color:red;
}